--- encoder/ratecontrol.c.orig	Sat Jul 15 22:45:01 2006
+++ encoder/ratecontrol.c	Sun Jul 16 15:57:20 2006
@@ -35,7 +35,7 @@
 #include "common/cpu.h"
 #include "ratecontrol.h"
 
-#if defined(SYS_FREEBSD) || defined(SYS_BEOS) || defined(SYS_NETBSD)
+#if defined(SYS_FREEBSD) || defined(SYS_BEOS) || defined(SYS_NETBSD) || defined(SYS_OPENBSD)
 #define exp2f(x) powf( 2, (x) )
 #endif
 #if defined(SYS_MACOSX)
@@ -51,6 +51,13 @@
 #endif
 #ifdef WIN32 // POSIX says that rename() removes the destination, but win32 doesn't.
 #define rename(src,dst) (unlink(dst), rename(src,dst))
+#endif
+#if defined(SYS_OPENBSD)
+int isfinite(double x){
+
+  return finite(x);
+
+}
 #endif
 
 typedef struct
